symlinks: license needs clarification

Bug #8501 reported by Debian Bug Importer on 2004-09-25
4
Affects Status Importance Assigned to Milestone
symlinks (Debian)
Fix Released
Unknown
symlinks (Ubuntu)
High
James Troup

Bug Description

Automatically imported from Debian bug report #273338 http://bugs.debian.org/273338

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #273338 http://bugs.debian.org/273338

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sat, 25 Sep 2004 15:45:57 +0200
From: Martin Dickopp <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: symlinks: license needs clarification

Package: symlinks
Version: 1.2-4.1
Severity: serious
Justification: Policy 2.2.1

Hello,

There is no copyright statement and/or licensce information in the
header of the source file or manual page, and the LSM file contains
the following statement:

  CopyPolicy1 =(c) Mark Lord, freely distributable
  CopyPolicy2 =

i.e. there is no explicit permission to modify the code and/or
distribute modifications.

Please ask the upstream author for a clarification, to find out if his
intention is that the program can be modified.

Thanks,
Martin

-- System Information:
Debian Release: 3.1
Architecture: amd64 (x86_64)
Kernel: Linux 2.6.8-1-amd64-k8
Locale: LANG=C, LC_CTYPE=de_DE.UTF-8

Versions of packages symlinks depends on:
ii libc6 2.3.2.ds1-16 GNU C Library: Shared libraries an

-- no debconf information

Matt Zimmerman (mdz) wrote :

We seem to only need symlinks for docbook-xml; check if we can just eliminate it

Daniel Stone (daniels) wrote :

docbook-xml was only using it to *list* dangling symlinks in its build, which
could easily be supplemented with a tiny shell script, if needed. For the time
being, I just removed it (4.3-1ubuntu1), so feel free to remove symlinks.

Matt Zimmerman (mdz) wrote :

symlinks should move to universe with James' next resync with the archive, at
which time this bug should be closed

Matt Zimmerman (mdz) wrote :

I was too quick in my assessment...there are two other packages which
build-depend on symlinks.

docbook
sgml-data

Please examine those as well

Daniel Stone (daniels) wrote :

Fixed in docbook and sgml-data uploads.

For sgml-data and docbook-xml, they were just using it to print the number of
dangling symlinks in d/r; docbook was bombing if there were any. In another
upload, I might actually write a small shell/Python wrapper for this, but there
doesn't seem too much point in it for warty.

Can we remove symlinks now?

Matt Zimmerman (mdz) wrote :

I think symlinks can be removed from main now.

James Troup (elmo) wrote :

(In reply to comment #7)
> I think symlinks can be removed from main now.

docbook-xml Depends on symlinks ...

Daniel Stone (daniels) wrote :

My bad; the Depends was, BTW, totally extraneous: it was never used within the actual package. 4.3-1ubuntu2 is on its way
with a fix. Reassigning to you for removal.

James Troup (elmo) wrote :

(In reply to comment #9)
> My bad; the Depends was, BTW, totally extraneous: it was never used within the
actual package. 4.3-1ubuntu2 is on its way
> with a fix. Reassigning to you for removal.

2004-09-30 16:45: docbook-xml_4.3-1ubuntu2_source.changes

docbook-xml_4.3-1ubuntu2_source.changes
REJECT
Rejected: docbook-xml_4.3-1ubuntu2.dsc: syntax error on line 15.
Rejected: docbook-xml_4.3-1ubuntu2.dsc: no Files: field.
Rejecting.

This means you signed the .dsc by hand (e.g. rather than using debsign) and
forgot to ensure there was a blank line between the bottom part of the GPG
signature and the RFC822 data. [This is a requirement imposed by dpkg-source,
not katie.]

Daniel Stone (daniels) wrote :

Ping, pong, ping, pong; this one's yours again, James. docbook 4.3-1ubuntu2 and
sgml-data uploaded, which no longer B-D-I on symlinks.

James Troup (elmo) wrote :

(In reply to comment #11)
> Ping, pong, ping, pong; this one's yours again, James. docbook 4.3-1ubuntu2 and
> sgml-data uploaded, which no longer B-D-I on symlinks.

out damned symlinks, out!

An alternative to symlinks thats appears to be free is:
http://www.sdk-software.com/linux/tidylinks-script.html

Cheers,

Rob
--
Rob 'robster' Bradford
http://robster.org.uk

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Thu, 6 Jan 2005 16:56:10 +0000
From: Rob Bradford <email address hidden>
To: <email address hidden>,
 Martin Dickopp <email address hidden>
Cc: <email address hidden>
Subject: Alternative to symlinks

An alternative to symlinks thats appears to be free is:
http://www.sdk-software.com/linux/tidylinks-script.html

Cheers,

Rob
--
Rob 'robster' Bradford
http://robster.org.uk

submitter 273338 !
submitter 142228 !
submitter 192365 !
submitter 266681 !
submitter 279248 !
submitter 260013 !
submitter 64589 !
thanks

Change of my email address.

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sat, 12 Mar 2005 03:09:12 +0100
From: Martin Dickopp <email address hidden>
To: <email address hidden>
Subject: Change of email address

submitter 273338 !
submitter 142228 !
submitter 192365 !
submitter 266681 !
submitter 279248 !
submitter 260013 !
submitter 64589 !
thanks

Change of my email address.

Hi,

My "symlinks" utility pre-dates the "open source licensing" fad
by a number of years. Just to clarify, this is 100% freeware,
written entirely by myself. The intent is to use it to detect
missing/obsolete symlink targets on an installed distro, before
creating the "gold" (or "final") release discs.

Use and distribute and modify as you (or anyone else) sees fit.
There have no formal restrictions or requirements whatsoever
regarding distribution of either binaries or source code,
whether modified or original.

Cheers
--
Mark Lord
Real-Time Remedies Inc.
<email address hidden>

Le lundi 14 mars 2005 à 08:55 -0500, Mark Lord a écrit :
>
> -------- Original Message --------
> Subject: symlinks utility: license policy
> Date: Mon, 14 Mar 2005 08:54:57 -0500
> From: Mark Lord <email address hidden>
> Organization: Real-Time Remedies Inc.
> To: <email address hidden>
>
> Hi,
>
> My "symlinks" utility pre-dates the "open source licensing" fad
> by a number of years. Just to clarify, this is 100% freeware,
> written entirely by myself. The intent is to use it to detect
> missing/obsolete symlink targets on an installed distro, before
> creating the "gold" (or "final") release discs.
>
> Use and distribute and modify as you (or anyone else) sees fit.
> There have no formal restrictions or requirements whatsoever
> regarding distribution of either binaries or source code,
> whether modified or original.

Thank you very much. I guess this clears any problem that might happen.
I'm sending this mail in copy to the Debian Bug Tracking System and the
original reporter of the issue.

> Cheers
> --
> Mark Lord
> Real-Time Remedies Inc.
> <email address hidden>

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Mon, 14 Mar 2005 08:54:57 -0500
From: Mark Lord <email address hidden>
To: <email address hidden>
Subject: symlinks utility: license policy

Hi,

My "symlinks" utility pre-dates the "open source licensing" fad
by a number of years. Just to clarify, this is 100% freeware,
written entirely by myself. The intent is to use it to detect
missing/obsolete symlink targets on an installed distro, before
creating the "gold" (or "final") release discs.

Use and distribute and modify as you (or anyone else) sees fit.
There have no formal restrictions or requirements whatsoever
regarding distribution of either binaries or source code,
whether modified or original.

Cheers
--
Mark Lord
Real-Time Remedies Inc.
<email address hidden>

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Mon, 14 Mar 2005 15:12:38 +0100
From: =?ISO-8859-1?Q?J=E9r=F4me?= Warnier <email address hidden>
To: Mark Lord <email address hidden>
Cc: <email address hidden>, <email address hidden>
Subject: Re: symlinks utility: license policy

Le lundi 14 mars 2005 =E0 08:55 -0500, Mark Lord a =E9crit :
>=20
> -------- Original Message --------
> Subject: symlinks utility: license policy
> Date: Mon, 14 Mar 2005 08:54:57 -0500
> From: Mark Lord <email address hidden>
> Organization: Real-Time Remedies Inc.
> To: <email address hidden>
>=20
> Hi,
>=20
> My "symlinks" utility pre-dates the "open source licensing" fad
> by a number of years. Just to clarify, this is 100% freeware,
> written entirely by myself. The intent is to use it to detect
> missing/obsolete symlink targets on an installed distro, before
> creating the "gold" (or "final") release discs.
>=20
> Use and distribute and modify as you (or anyone else) sees fit.
> There have no formal restrictions or requirements whatsoever
> regarding distribution of either binaries or source code,
> whether modified or original.

Thank you very much. I guess this clears any problem that might happen.
I'm sending this mail in copy to the Debian Bug Tracking System and the
original reporter of the issue.

> Cheers
> --=20
> Mark Lord
> Real-Time Remedies Inc.
> <email address hidden>

Hello,

if you think that the license issues are clarified (and I do so), please
add the new stuff to the copyright file, upload the new version, close
the bugs, wait few days and ask the release guys to add it to Testing.
And please do it RSN.

Regards,
Eduard.
--
<_rene_> .oO ( herr, wirf hirn und logik vom Himmel )
<weasel> _rene_: nein, der soll lieber irc clients loeschen :)

tag 176341 + fixed
tag 273338 + fixed

quit

This message was generated automatically in response to a
non-maintainer upload. The .changes file follows.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 10 May 2005 19:31:02 +0200
Source: symlinks
Binary: symlinks
Architecture: source i386
Version: 1.2-4.2
Distribution: unstable
Urgency: low
Maintainer: Bernd Eckenfels <email address hidden>
Changed-By: Bill Allombert <email address hidden>
Description:
 symlinks - scan/change symbolic links
Closes: 176341 273338
Changes:
 symlinks (1.2-4.2) unstable; urgency=low
 .
   * NMU
   * Add license clarification from Mark Lord to copyright file.
     Thanks Mark for your email. Closes: #273338
   * This upload will trigger a rebuild with current gcc, thus it
     Closes: #176341.
Files:
 ade027cbf8c35adf9243eb6858543d3d 550 misc optional symlinks_1.2-4.2.dsc
 960ed6292df327d99e6513b48d368725 3080 misc optional symlinks_1.2-4.2.diff.gz
 01d07e96fd49ab60e8241e0656b54eea 8948 misc optional symlinks_1.2-4.2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iD8DBQFCgPSVeDPs8bVESBURAi8bAJ9XPsqNYuj4/w+VUZLuKz4812J9iwCfUEME
puysr6ICs/EY8KtnjxZ0jgc=
=SzMx
-----END PGP SIGNATURE-----

Hello Bernd,

I realised i forgot to send the patch for the NMU.
Please find it now.

Cheers,
--
Bill. <email address hidden>

Imagine a large red swirl here.

diff -u symlinks-1.2/debian/changelog symlinks-1.2/debian/changelog
--- symlinks-1.2/debian/changelog
+++ symlinks-1.2/debian/changelog
@@ -1,3 +1,13 @@
+symlinks (1.2-4.2) unstable; urgency=low
+
+ * NMU
+ * Add license clarification from Mark Lord to copyright file.
+ Thanks Mark for your email. Closes: #273338
+ * This upload will trigger a rebuild with current gcc, thus it
+ Closes: #176341.
+
+ -- Bill Allombert <email address hidden> Tue, 10 May 2005 19:31:02 +0200
+
 symlinks (1.2-4.1) unstable; urgency=low

   * NMU
diff -u symlinks-1.2/debian/copyright symlinks-1.2/debian/copyright
--- symlinks-1.2/debian/copyright
+++ symlinks-1.2/debian/copyright
@@ -16,0 +17,22 @@
+
+License clarification as found in Bug #273338:
+
+Hi,
+
+My "symlinks" utility pre-dates the "open source licensing" fad
+by a number of years. Just to clarify, this is 100% freeware,
+written entirely by myself. The intent is to use it to detect
+missing/obsolete symlink targets on an installed distro, before
+creating the "gold" (or "final") release discs.
+
+Use and distribute and modify as you (or anyone else) sees fit.
+There have no formal restrictions or requirements whatsoever
+regarding distribution of either binaries or source code,
+whether modified or original.
+
+Cheers
+--
+Mark Lord
+Real-Time Remedies Inc.
+<email address hidden>
+

Re NMU of symlinks: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=273338

On Sat, May 14, 2005 at 05:49:24AM -0500, Bill Allombert wrote:
> > if anybody send me mails in the last two month to ecki at debian.org the
> > chances are high I havent received it due to some missconfig on my site.
> > Please resend.
>
> Hello Bernd,
> That might explain we got no answer from you about the package
> 'symlinks'...
>
> In any event, I have NMUed this package. Please find more information
> in the bug log for #273338.

thanks for the pointer, yes indeed, i was totally unaware of that :)

I will not upload a maintainer version before the release (unless somebody
asks me to)

Thans Mark for your Help, also.

Greetings
Bernd
--
  (OO) -- Bernd_Eckenfels@Mörscher_Strasse_8.76185Karlsruhe.de --
 ( .. ) ecki@{inka.de,linux.de,debian.org} http://www.eckes.org/
  o--o 1024D/E383CD7E eckes@IRCNet v:+497211603874 f:+49721151516129
(O____O) When cryptography is outlawed, bayl bhgynjf jvyy unir cevinpl!

Debian Bug Importer (debzilla) wrote :

Message-ID: <20050501071719.GA30116@debian>
Date: Sun, 1 May 2005 09:17:19 +0200
From: Eduard Bloch <email address hidden>
To: <email address hidden>
Subject: adding to Testing

Hello,

if you think that the license issues are clarified (and I do so), please
add the new stuff to the copyright file, upload the new version, close
the bugs, wait few days and ask the release guys to add it to Testing.
And please do it RSN.

Regards,
Eduard.
--
<_rene_> .oO ( herr, wirf hirn und logik vom Himmel )
<weasel> _rene_: nein, der soll lieber irc clients loeschen :)

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Tue, 10 May 2005 14:02:47 -0400
From: Bill Allombert <email address hidden>
To: <email address hidden>
Cc: Bill Allombert <email address hidden>, Bernd Eckenfels <email address hidden>
Subject: Fixed in NMU of symlinks 1.2-4.2

tag 176341 + fixed
tag 273338 + fixed

quit

This message was generated automatically in response to a
non-maintainer upload. The .changes file follows.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 10 May 2005 19:31:02 +0200
Source: symlinks
Binary: symlinks
Architecture: source i386
Version: 1.2-4.2
Distribution: unstable
Urgency: low
Maintainer: Bernd Eckenfels <email address hidden>
Changed-By: Bill Allombert <email address hidden>
Description:
 symlinks - scan/change symbolic links
Closes: 176341 273338
Changes:
 symlinks (1.2-4.2) unstable; urgency=low
 .
   * NMU
   * Add license clarification from Mark Lord to copyright file.
     Thanks Mark for your email. Closes: #273338
   * This upload will trigger a rebuild with current gcc, thus it
     Closes: #176341.
Files:
 ade027cbf8c35adf9243eb6858543d3d 550 misc optional symlinks_1.2-4.2.dsc
 960ed6292df327d99e6513b48d368725 3080 misc optional symlinks_1.2-4.2.diff.gz
 01d07e96fd49ab60e8241e0656b54eea 8948 misc optional symlinks_1.2-4.2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iD8DBQFCgPSVeDPs8bVESBURAi8bAJ9XPsqNYuj4/w+VUZLuKz4812J9iwCfUEME
puysr6ICs/EY8KtnjxZ0jgc=
=SzMx
-----END PGP SIGNATURE-----

Debian Bug Importer (debzilla) wrote :

Message-ID: <20050510215540.GZ12610@seventeen>
Date: Tue, 10 May 2005 23:55:40 +0200
From: Bill Allombert <email address hidden>
To: <email address hidden>
Subject: Patch for the symlinks NMU

Hello Bernd,

I realised i forgot to send the patch for the NMU.
Please find it now.

Cheers,
--
Bill. <email address hidden>

Imagine a large red swirl here.

diff -u symlinks-1.2/debian/changelog symlinks-1.2/debian/changelog
--- symlinks-1.2/debian/changelog
+++ symlinks-1.2/debian/changelog
@@ -1,3 +1,13 @@
+symlinks (1.2-4.2) unstable; urgency=low
+
+ * NMU
+ * Add license clarification from Mark Lord to copyright file.
+ Thanks Mark for your email. Closes: #273338
+ * This upload will trigger a rebuild with current gcc, thus it
+ Closes: #176341.
+
+ -- Bill Allombert <email address hidden> Tue, 10 May 2005 19:31:02 +0200
+
 symlinks (1.2-4.1) unstable; urgency=low

   * NMU
diff -u symlinks-1.2/debian/copyright symlinks-1.2/debian/copyright
--- symlinks-1.2/debian/copyright
+++ symlinks-1.2/debian/copyright
@@ -16,0 +17,22 @@
+
+License clarification as found in Bug #273338:
+
+Hi,
+
+My "symlinks" utility pre-dates the "open source licensing" fad
+by a number of years. Just to clarify, this is 100% freeware,
+written entirely by myself. The intent is to use it to detect
+missing/obsolete symlink targets on an installed distro, before
+creating the "gold" (or "final") release discs.
+
+Use and distribute and modify as you (or anyone else) sees fit.
+There have no formal restrictions or requirements whatsoever
+regarding distribution of either binaries or source code,
+whether modified or original.
+
+Cheers
+--
+Mark Lord
+Real-Time Remedies Inc.
+<email address hidden>
+

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sat, 14 May 2005 13:57:49 +0200
From: Bernd Eckenfels <email address hidden>
To: Bill Allombert <email address hidden>
Cc: <email address hidden>, <email address hidden>
Subject: Re: lost some mails

Re NMU of symlinks: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=273338

On Sat, May 14, 2005 at 05:49:24AM -0500, Bill Allombert wrote:
> > if anybody send me mails in the last two month to ecki at debian.org the
> > chances are high I havent received it due to some missconfig on my site.
> > Please resend.
>
> Hello Bernd,
> That might explain we got no answer from you about the package
> 'symlinks'...
>
> In any event, I have NMUed this package. Please find more information
> in the bug log for #273338.

thanks for the pointer, yes indeed, i was totally unaware of that :)

I will not upload a maintainer version before the release (unless somebody
asks me to)

Thans Mark for your Help, also.

Greetings
Bernd
--
  (OO) -- Bernd_Eckenfels@M�her_Strasse_8.76185Karlsruhe.de --
 ( .. ) ecki@{inka.de,linux.de,debian.org} http://www.eckes.org/
  o--o 1024D/E383CD7E eckes@IRCNet v:+497211603874 f:+49721151516129
(O____O) When cryptography is outlawed, bayl bhgynjf jvyy unir cevinpl!

# Hi,
#
# These bugs were fixed in an NMU, but have not been acknowledged by the
# maintainers. With version tracking in the Debian BTS, it is important
# to know which version of a package fixes each bug so that they can be
# tracked for release status, so I'm closing these bugs with the
#relevant version information now

close 271146 2.10c-3.1
close 271221 0.9.14-1.1
close 273411 0.9.14-1.1
close 271673 6:6.0.6.2-1.3
close 271956 1.0-7.1
close 272245 2.04-11.2
close 273043 5.0.13-0.1
close 273338 1.2-4.2
close 273357 0.16.14-1.2
close 271221 0.9.14-1.1
close 273411 0.9.14-1.1
close 273613 1.0.5-1.1
close 273800 1.3-0.1
close 274087 2.1.19-1.2
close 275431 2.1.19-1.2
close 274106 1:19970918-12.2
close 274501 0.99.16-1.1
close 274503 0.99.17-2.1
close 274507 0.4-9.1
close 274955 0.3.35.1
close 275432 1.5.28-6.2
close 276637 2.1.19-1.4
close 276825 3.8.3-4.1
close 276851 0.61-6.1
close 278001 0.99.17-2.2
close 279483 6.1
close 279484 1.1
close 280309 1.5-9.1
close 212905 1.5-9.1
close 235681 1.5-9.1
close 236463 1.5-9.1
close 280337 3.2.0.115-7.1
close 356855 3.2.0.115-7.1
close 281282 0.9.3-2
close 282879 2.04-11.1
close 300174 1.0.0b-4.1
close 283756 0.63-1.2
close 284741 0.1.18-1.2
close 284872 0.70-pre20031121-2.1
close 284925 1.1.2-2.1
close 285058 1.2-7.1
close 347152 0.9.7.1+cvs20050803-1.1
close 285528 2.3.11-1.1
close 322368 2.3.11-1.1
close 285605 2.1.19-1.6
close 285628 0.8.3-1.1
close 285762 0.94-7woody4
close 289464 0.94-7woody4
close 285889 0.98.38-1.1
close 285902 20050625-0.1
close 285918 3.06-9.1
close 288966 3.06-9.1
close 326367 3.06-9.1
close 346671 3.06-9.1
close 286309 1:0.5.0-1.1
close 286633 1:0.5.0-1.1
close 286492 2.5.7-3
close 329499 2.5.7-3
close 287059 2.0.12-1.1
close 287066 2.1.1-3.1
close 314008 2.1.1-3.1
close 327992 2.1.1-3.1
close 287190 1.99.11-1.1
close 287628 0.6-10.1
close 323728 0.6-10.1
close 287629 2.0b3-13.1
close 287639 0.6.2-2.1
close 287677 1.4.8-9.1
close 206905 0.7-7.1
close 221950 0.7-7.1
close 287749 0.7-7.1
close 296526 0.7-7.1
close 317259 0.7-7.1
close 287886 0.4.2+cvs.2004.02.20-1.1
close 336046 0.4.2+cvs.2004.02.20-1.1
close 287891 2.1.8-2.1
close 326106 2.1.8-2.1
close 275651 0.6.0-8.1
close 287923 0.6.0-8.1
close 313937 0.6.0-8.1
close 324839 0.6.0-8.1
close 288158 200300506-1.1
close 288441 1.0.8-1.1
close 336944 1.0.8-1.1
close 288536 0.0.7E6F3-4.1
close 290390 0.0.7E6F3-4.1
close 295080 0.0.7E6F3-4.1
close 318375 0.0.7E6F3-4.1
close 288819 0.1.5.9+cvs.2004.02.07-3.2
close 288834 0.2.1-1.1
close 307036 0.2.1-1.1
close 322985 0.2.1-1.1
close 322993 0.2.1-1.1
close 288925 0.9.5+really0.9.6pre4-1.1

Changed in symlinks:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.